import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { IColumnVisibilityChangedEventArgs, IgxColumnHidingItemDirective } from './column-hiding-item.directive';
import { ColumnChooserBase } from './column-chooser-base';
export declare class IgxColumnHidingComponent extends ColumnChooserBase {
    cdr: ChangeDetectorRef;
    readonly disableHideAll: boolean;
    readonly disableShowAll: boolean;
    showAllText: string;
    hideAllText: string;
    onColumnVisibilityChanged: EventEmitter<IColumnVisibilityChangedEventArgs>;
    readonly hiddenColumnsCount: number;
    constructor(cdr: ChangeDetectorRef);
    private readonly hidableColumns;
    protected createColumnItem(container: any, column: any): IgxColumnHidingItemDirective;
    showAllColumns(): void;
    hideAllColumns(): void;
    onVisibilityChanged(args: IColumnVisibilityChangedEventArgs): void;
}
export declare class IgxColumnHidingModule {
}
